### Function

# FwupdPlugin efi_variable_state_from_string

#### Declaration [src]

    FuEfiVariableState
    fu_efi_variable_state_from_string (
      const gchar* val
    )

#### Description [src]

Converts a string to an enumerated value.

#### Parameters

`val`

  Type: `const gchar*`

  A string, e.g. `variable-in-deleted-transition`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuEfiVariableState`

Enumerated value.